I updated my post with the instructions again to add the detail about forcing version 2 for the Dell Mini.